• Raspberry Pi, SSL issue

    From Sean Rima@2:263/1 to All on Sat Sep 15 01:51:52 2018
    Tried to start using https and get this on startup

    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: undefined symbol: SSLv23_server_method

    Any suggestions

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Robert Wolfe@1:261/20 to Sean Rima on Fri Sep 21 00:39:36 2018
    Tried to start using https and get this on startup

    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: undefined symbol: SSLv23_server_method

    Any suggestions

    Do you have this library installed on your system?

    --- BBBS/2 v4.10 Toy-3
    * Origin: Omicron Theta/2 (1:261/20)
  • From Sean Rima@2:263/1 to Robert Wolfe on Fri Sep 21 18:20:26 2018
    Tried to start using https and get this on startup
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >> undefined symbol: SSLv23_server_method
    Any suggestions
    Do you have this library installed on your system?

    I do, added it before trying

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Janis Kracht@1:261/38 to Sean Rima on Fri Sep 21 17:21:56 2018
    Tried to start using https and get this on startup
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >>> undefined symbol: SSLv23_server_method
    Any suggestions
    Do you have this library installed on your system?

    I do, added it before trying

    I don't have a pi here, but I've been searching sites regarding that error... hard to find any good answers/solutions.. :(

    --- BBBS/Li6 v4.10 Toy-3
    * Origin: Prism bbs (1:261/38)
  • From Kim Heino@2:222/2 to Sean Rima on Fri Sep 21 16:23:04 2018
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: undefined symbol: SSLv23_server_method

    My RPi has two different openssl versions installed:

    root:/usr/lib/arm-linux-gnueabihf> ls -la libssl*
    -rw-r--r-- 1 root root 320924 Mar 29 14:10 libssl.so.1.0.2
    -rw-r--r-- 1 root root 327952 Mar 29 13:51 libssl.so.1.1

    Doing "ln -s libssl.so.1.0.2 libssl.so" in that directory should help. That function is removed from latest openssl 1.1 version, but is available in 1.0.

    Next bbbsd works with both versions already. I just need some extra time to release it...

    --- BBBS/Li6 v4.10 Toy-4
    * Origin: * BCG-Box, On The Air Since 11th February 1987! * (2:222/2)
  • From Sean Rima@2:263/1 to Janis Kracht on Sat Sep 22 21:34:22 2018
    Tried to start using https and get this on startup
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >>>> undefined symbol: SSLv23_server_method
    Any suggestions
    Do you have this library installed on your system?
    I do, added it before trying
    I don't have a pi here, but I've been searching sites regarding that error... hard to find any good answers/solutions.. :(
    Yeah, tried the same. Cannot find an exact solution. Oddly some time earlier this year I think, Kim generated a BBBSD for Linux that cured this but not for Pi

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Sean Rima@2:263/1 to Kim Heino on Sat Sep 22 21:42:28 2018
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >> undefined symbol: SSLv23_server_method
    My RPi has two different openssl versions installed: root:/usr/lib/arm-linux-gnueabihf> ls -la libssl*
    -rw-r--r-- 1 root root 320924 Mar 29 14:10 libssl.so.1.0.2
    -rw-r--r-- 1 root root 327952 Mar 29 13:51 libssl.so.1.1
    Doing "ln -s libssl.so.1.0.2 libssl.so" in that directory should help. That function is removed from latest openssl 1.1 version, but is available in 1.0. Next bbbsd works with both versions already. I just need some extra time to release it...

    Kim,

    You are a star although I may have broken something else, will have to wait and
    see as the symlink was to my libssl.so.1.1 I changed to to 1.0.2 and will monitor

    Sean


    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Sean Rima@2:263/1 to Kim Heino on Sat Sep 22 22:17:52 2018
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >> undefined symbol: SSLv23_server_method
    My RPi has two different openssl versions installed: root:/usr/lib/arm-linux-gnueabihf> ls -la libssl*
    -rw-r--r-- 1 root root 320924 Mar 29 14:10 libssl.so.1.0.2
    -rw-r--r-- 1 root root 327952 Mar 29 13:51 libssl.so.1.1
    Doing "ln -s libssl.so.1.0.2 libssl.so" in that directory should help. That function is removed from latest openssl 1.1 version, but is available in 1.0. Next bbbsd works with both versions already. I just need some extra time to release it...

    Ok, I spoke too soon in my last reply.

    Chrome is showing:

    This site canít provide a secure connection 192.168.1.9 uses an unsupported protocol. ERR_SSL_VERSION_OR_CIPHER_MISMATCH
    Unsupported protocol
    The client and server don't support a common SSL protocol version or cipher suite.

    What am I missing

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Robert Wolfe@1:261/20 to Kim Heino on Tue Sep 25 19:27:30 2018
    *** Quoting Kim Heino from a message to Sean Rima ***

    That function is removed from latest openssl 1.1 version, but is avail
    in 1.0.

    Next bbbsd works with both versions already. I just need some extra ti
    to release it...

    Hopefully you are going to release it for us OS/2 folks as well :)

    --- Telegard/2 v3.09.g2-sp4/mL
    * Origin: Omicron Theta/2 * Southaven, MS * os2bbs.org:2300 (1:261/20)
  • From Robert Wolfe@1:261/20 to Sean Rima on Tue Sep 25 20:36:32 2018
    Tried to start using https and get this on startup
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >>> undefined symbol: SSLv23_server_method
    Any suggestions

    Do you have this library installed on your system?

    I do, added it before trying

    Hmm, so that's it for my troubleshooting then :(

    --- BBBS/2 v4.10 Toy-3
    * Origin: Omicron Theta/2 (1:261/20)
  • From Robert Wolfe@1:261/20 to Kim Heino on Tue Sep 25 20:37:10 2018
    Next bbbsd works with both versions already. I just need some extra time to release it...

    My last post about this applies ;)

    --- BBBS/2 v4.10 Toy-3
    * Origin: Omicron Theta/2 (1:261/20)
  • From Robert Wolfe@1:261/20 to Sean Rima on Tue Sep 25 20:39:38 2018
    Ok, I spoke too soon in my last reply.

    Chrome is showing:

    This site canít provide a secure connection 192.168.1.9 uses an unsupported protocol. ERR_SSL_VERSION_OR_CIPHER_MISMATCH
    Unsupported protocol
    The client and server don't support a common SSL protocol version or cipher suite.

    I believe there is a setting in Chrome to fix this as I was having the same issue when trying to use it to access my ILO on one of my older HP ProLiant servers. Unfortunately, I was never able to get that working, so had to go back to IE 8 under my WinXP Pro VM to access the ILO on that machine.

    --- BBBS/2 v4.10 Toy-3
    * Origin: Omicron Theta/2 (1:261/20)
  • From Sean Rima@2:263/1 to Robert Wolfe on Wed Sep 26 23:33:02 2018
    Tried to start using https and get this on startup
    SSL-support needs OpenSSL library: /usr/lib/arm-linux-gnueabihf/libssl.so: >>>> undefined symbol: SSLv23_server_method
    Any suggestions
    Do you have this library installed on your system?
    I do, added it before trying
    Hmm, so that's it for my troubleshooting then :(

    Seems it is the wrong one that the Pi installs :)

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)
  • From Sean Rima@2:263/1 to Robert Wolfe on Wed Sep 26 23:33:48 2018
    Ok, I spoke too soon in my last reply.
    Chrome is showing:
    This site canít provide a secure connection 192.168.1.9 uses an unsupported >> protocol. ERR_SSL_VERSION_OR_CIPHER_MISMATCH
    Unsupported protocol
    The client and server don't support a common SSL protocol version or cipher >> suite.
    I believe there is a setting in Chrome to fix this as I was having the same issue when trying to use it to access my ILO on one of my older HP ProLiant servers. Unfortunately, I was never able to get that working, so had to go back to IE 8 under my WinXP Pro VM to access the ILO on that machine.

    Have the same error in Safari also

    Sean

    --- BBBS/LiR v4.10 Toy-3
    * Origin: Pi TCOB1 bbbs.mooo.com (2:263/1)